Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.controls
Class JUStatusBar.StatusBarProgressControl

`java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JProgressBar
oracle.jbo.uicli.controls.JUStatusBar.StatusBarProgressControl`

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, JUStatusBar.StatusBarControl, java.awt.MenuContainer, java.io.Serializable, javax.swing.SwingConstants

Enclosing class:
  JUStatusBar

public class JUStatusBar.StatusBarProgressControl
extends javax.swing.JProgressBar
implements JUStatusBar.StatusBarControl

A derivative of JProgressBar that listens to three DataItems. The first DataItem is the Maximim value, the second DataItem is the current value, and the third DataItem is the minimum value. The third DataItem is optional and if missing, the minimum value is assumed to be 1.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JProgressBar
`javax.swing.JProgressBar.AccessibleJProgressBar`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JProgressBar
`changeEvent, changeListener, model, orientation, paintBorder, paintString, progressString`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JUStatusBar.StatusBarProgressControl()` Constructs a StatusBarProgressControl.
`JUStatusBar.StatusBarProgressControl(int orient)`
`JUStatusBar.StatusBarProgressControl(int min, int max)`
`JUStatusBar.StatusBarProgressControl(int orient, int min, int max, java.lang.String formatString, oracle.jbo.format.Formatter formatter)`
`JUStatusBar.StatusBarProgressControl(java.lang.String formatString, oracle.jbo.format.Formatter formatter)` Creates a LabelControl instance with the specified formatter.

Method Summary
`java.lang.String` | `getFormatString()` Returns the format string to be used when displaying the value.
`oracle.jbo.format.Formatter` | `getFormatter()` Returns the formatter for the ProgressControl.
`java.awt.Dimension` | `getMaximumSize()` StatusBarProgressControl override.
`java.awt.Dimension` | `getMinimumSize()` StatusBarProgressControl override.
`java.awt.Dimension` | `getPreferredSize()` StatusBarProgressControl override.
`void` | `setFormatString(java.lang.String nuFormatString)` Sets the format string to be used when displaying the value.
`void` | `setFormatter(oracle.jbo.format.Formatter formatter)` Sets the formatter for the ProgressControl
`void` | `setMaximumSize(java.awt.Dimension dim)`
`void` | `setMinimumSize(java.awt.Dimension dim)`
`void` | `setPreferredSize(java.awt.Dimension dim)`
`void` | `setSize(java.awt.Dimension dim)`
`void` | `setSize(int width, int height)`

Methods inherited from class javax.swing.JProgressBar
`addChangeListener, createChangeListener, fireStateChanged, getAccessibleContext, getChangeListeners, getMaximum, getMinimum, getModel, getOrientation, getPercentComplete, getString, getUI, getUIClassID, getValue, isBorderPainted, isIndeterminate, isStringPainted, paintBorder, paramString, removeChangeListener, setBorderPainted, setIndeterminate, setMaximum, setMinimum, setModel, setOrientation, setString, setStringPainted, setUI, setValue, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getNextFocusableComponent, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setNextFocusableComponent, setOpaque, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JUStatusBar.StatusBarProgressControl

    public JUStatusBar.StatusBarProgressControl()

  Constructs a StatusBarProgressControl.

### JUStatusBar.StatusBarProgressControl

    public JUStatusBar.StatusBarProgressControl(int orient)

### JUStatusBar.StatusBarProgressControl

    public JUStatusBar.StatusBarProgressControl(int min,
                                                int max)

### JUStatusBar.StatusBarProgressControl

    public JUStatusBar.StatusBarProgressControl(java.lang.String formatString,
                                                oracle.jbo.format.Formatter formatter)

  Creates a LabelControl instance with the specified formatter. The label is centered vertically and horizontally in display area.
Parameters:
  `formatter` - The formatter to be used to display the label.

### JUStatusBar.StatusBarProgressControl

    public JUStatusBar.StatusBarProgressControl(int orient,
                                                int min,
                                                int max,
                                                java.lang.String formatString,
                                                oracle.jbo.format.Formatter formatter)

Method Detail

### getMaximumSize

    public java.awt.Dimension getMaximumSize()

  StatusBarProgressControl override.
  Returns:
    the maximum Dimensions of the StatusBarProgressControl

### setMaximumSize

    public void setMaximumSize(java.awt.Dimension dim)

### getMinimumSize

    public java.awt.Dimension getMinimumSize()

  StatusBarProgressControl override.
  Returns:
    The minimum Dimensions of the StatusBarProgressControl.

### setMinimumSize

    public void setMinimumSize(java.awt.Dimension dim)

### getPreferredSize

    public java.awt.Dimension getPreferredSize()

  StatusBarProgressControl override.
  Returns:
    The preferred Dimensions of the StatusBarProgressControl.

### setPreferredSize

    public void setPreferredSize(java.awt.Dimension dim)

### setSize

    public void setSize(java.awt.Dimension dim)

### setSize

    public void setSize(int width,
                        int height)

### setFormatString

    public void setFormatString(java.lang.String nuFormatString)

  Sets the format string to be used when displaying the value.

  The format string should be a format string as supported by the DefaultNumberFormatter.

  Specified by:
    `setFormatString` in interface `JUStatusBar.StatusBarControl`
  Parameters:
    `nuFormatString` - The format string.
  See Also:
    `getFormatString()`, `DefaultNumberFormatter`

### getFormatString

    public java.lang.String getFormatString()

  Returns the format string to be used when displaying the value.

  The format string should be a format string as supported by the DefaultNumberFormatter.

  Returns:
    A reference to the format string.
  See Also:
    `setFormatString(String nuFormatString)`, `DefaultNumberFormatter`

### setFormatter

    public void setFormatter(oracle.jbo.format.Formatter formatter)

  Sets the formatter for the ProgressControl
  Specified by:
    `setFormatter` in interface `JUStatusBar.StatusBarControl`
  Parameters:
    `formatter` - the new formatter for the progress control.

### getFormatter

    public oracle.jbo.format.Formatter getFormatter()

  Returns the formatter for the ProgressControl.
  Returns:
    The new formatter for the progress control.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.